SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Adobe ColdFusion Vendors:   Adobe Systems Incorporated
Adobe ColdFusion Multiple Flaws Let Remote Users View Potentially Sensitive Information, Upload and Modify Files, and Execute Arbitrary Code
SecurityTracker Alert ID:  1041621
SecurityTracker URL:  http://securitytracker.com/id/1041621
CVE Reference:   CVE-2018-15957, CVE-2018-15958, CVE-2018-15959, CVE-2018-15960, CVE-2018-15961, CVE-2018-15962, CVE-2018-15963, CVE-2018-15964, CVE-2018-15965   (Links to External Site)
Date:  Sep 11 2018
Impact:   Disclosure of system information, Disclosure of user information, Execution of arbitrary code via network, Modification of system information, Modification of user information, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 11 Update 14, 2016 Update 6, 2018 (2018.0.0.310739); and prior versions
Description:   Multiple vulnerabilities were reported in Adobe ColdFusion. A remote user can execute arbitrary code on the target system. A remote user can access data on the target system. A remote user can modify files on the target system. A remote user can upload files to the target system. A remote user can obtain potentially sensitive information on the target system.

A remote user can send specially crafted data to trigger a deserialization error and execute arbitrary code on the target system [CVE-2018-15965, CVE-2018-15957, CVE-2018-15958, CVE-2018-15959].

A remote user can upload files and execute arbitrary code on the target system [CVE-2018-15961].

A remote user can exploit a component to view potentially sensitive information on the target system [CVE-2018-15964].

A remote user can create arbitrary folders on the target system [CVE-2018-15963].

A remote user can list the files in a directory on the target system [CVE-2018-15962].

A remote user can exploit a component to overwrite arbitrary files on the target system [CVE-2018-15960].

Matthias Kaiser of Code White GmbH, Gsrc from Venustech-Adlab, Pete Freitag of Foundeo, and Nick Bloor of Cognitous Ltd reported these vulnerabilities.

Impact:   A remote user can obtain data on the target system.

A remote user can modify files on the target system.

A remote user can upload files to the target system.

A remote user can execute arbitrary code on the target system.

A remote user can obtain potentially sensitive information on the target system.

Solution:   The vendor has issued a fix (11 Update 15, 2016 Update 7, 2018 Update 1).

The vendor advisory is available at:

https://helpx.adobe.com/security/products/coldfusion/apsb18-33.html

Vendor URL:  helpx.adobe.com/security/products/coldfusion/apsb18-33.html (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Any), UNIX (AIX), UNIX (macOS/OS X), UNIX (Solaris - SunOS), Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC